Subject: Re: bug#68352: 29.1; gnus-message-citation-mode removes values from font-lock-keywords
From: Eric Abrahamsen <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Morgan Willcock <[email-masked]>
Date: Sun, 11 Feb 2024 06:49:36 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Morgan Willcock <[email-masked]>
>> Date: Thu, 11 Jan 2024 11:57:36 +0000
>> 
>> I've attached a patch which is essentially the same as Eric's suggestion
>> except that, the original comment is kept, the HOW argument of
>> `font-lock-add-keywords' is set to t, and the code is restructured to
>> avoid any font-lock changes until `font-lock-mode' is active.
>
> Eric, how should we go about making some progress here?  Should the
> proposed patch be installed?

It's already installed! I just neglected to close the bug, which I'm
doing now. Thanks for the bump.